package net.sourceforge.ganttproject.time;

import java.util.Date;

/**
 * Created by IntelliJ IDEA.
 * 
 * @author bard Date: 31.01.2004
 */
public interface TimeUnit {
    Date adjustRight(Date baseDate);

    Date adjustLeft(Date baseDate);

    Date jumpLeft(Date baseDate);

    public String getName();

    public boolean isConstructedFrom(TimeUnit unit);

    public int getAtomCount(TimeUnit atomUnit);

    public TimeUnit getDirectAtomUnit();

    public int DAY = 0;

    //
    public void setTextFormatter(TextFormatter formatter);

    public TimeUnitText format(Date baseDate);

    Date shiftDate(Date base, long length);
    
    boolean isWorkingInterval(Date intervalStart);
}
